#include <stdio.h>
#include <string.h>

#include "geekcode.h"

void sexlife(char sexcode[16]){
  if(strncmp(&sexcode[1],"+++++",6)==0) printf("I am Madonna\n"); else
  if(strncmp(&sexcode[1],"++++",5)==0) printf("I have a few little rug rats to prove I've been there.\n"); else
  if(strncmp(&sexcode[1],"+++",4)==0) printf("I'm married, so I can get it (theoretically) whenever I want.\n"); else
  if(strncmp(&sexcode[1],"++",3)==0) printf("I was once referred to as 'easy'.\n"); else
  if(strncmp(&sexcode[1],"+",2)==0) printf("I've had real, live sex.\n"); else
  if(sexcode[1]==0) printf("I've had sex. Oh! You mean with someone else? Then no.\n"); else
  if(strncmp(&sexcode[1],"-",2)==0) printf("Not having sex by choice.\n"); else
  if(strncmp(&sexcode[1],"--",3)==0) printf("Not having sex because I just can't get any...\n"); else
  if(strncmp(&sexcode[1],"---",4)==0) printf("Not having sex because I'm a nun or priest.\n"); else
  if(strncmp(&sexcode[1],"*",2)==0) printf("I'm a pervert.\n"); else
  if(strncmp(&sexcode[1],"**",3)==0) printf("I've been known to make perverts look like angels.\n"); else
  if(sexcode[0]=='!' && sexcode[2]==0) printf("Sex? What's that? I've had no sexual experiences.\n"); else
  if(strncmp(&sexcode[1],"?",2)==0) printf("It's none of your business what my sex life is like\n"); else
  if(sexcode[0]=='!' && strncmp(&sexcode[2],"+",2)==0) printf("Sex? What's that? No experience, willing to learn!\n"); else
  printf("WARNING: %s is a unknown sex-geekcode !!!\n",sexcode);
}

void translate(char geekcode[64][16], int j){
  int i;
  
  clearscreen();
  for(i=0;i<j;i++){
    if(strcmp(geekcode[i],"GB")==0) printf("Geek of Business\n"); else
    if(strcmp(geekcode[i],"GC")==0) printf("Geek of Classics\n"); else
    if(strcmp(geekcode[i],"GCA")==0) printf("Geek of Commercial Arts\n"); else
    if(strcmp(geekcode[i],"GCM")==0) printf("Geek of Computer Management\n"); else
    if(strcmp(geekcode[i],"GCS")==0) printf("Geek of Computer Science\n"); else
    if(strcmp(geekcode[i],"GCC")==0) printf("Geek of Communications\n"); else
    if(strcmp(geekcode[i],"GE")==0) printf("Geek of Engineering\n"); else
    if(strcmp(geekcode[i],"GED")==0) printf("Geek of Education\n"); else
    if(strcmp(geekcode[i],"GFA")==0) printf("Geek of Fine Arts\n"); else
    if(strcmp(geekcode[i],"GG")==0) printf("Geek of Government\n"); else
    if(strcmp(geekcode[i],"GH")==0) printf("Geek of Humanities\n"); else
    if(strcmp(geekcode[i],"GIT")==0) printf("Geek of Information Technology\n"); else
    if(strcmp(geekcode[i],"GJ")==0) printf("Geek of Jurisprudence (Law)\n"); else
    if(strcmp(geekcode[i],"GLS")==0) printf("Geek of Library Science\n"); else
    if(strcmp(geekcode[i],"GL")==0) printf("Geek of Literature\n"); else
    if(strcmp(geekcode[i],"GMC")==0) printf("Geek of Mass Communications\n"); else
    if(strcmp(geekcode[i],"GM")==0) printf("Geek of Math\n"); else
    if(strcmp(geekcode[i],"GMD")==0) printf("Geek of Medicine\n"); else
    if(strcmp(geekcode[i],"GMU")==0) printf("Geek of Music\n"); else
    if(strcmp(geekcode[i],"GPA")==0) printf("Geek of Performing Arts\n"); else
    if(strcmp(geekcode[i],"GP")==0) printf("Geek of Philosophy\n"); else
    if(strcmp(geekcode[i],"GS")==0) printf("Geek of Science\n"); else
    if(strcmp(geekcode[i],"GSS")==0) printf("Geek of Social Science\n"); else
    if(strcmp(geekcode[i],"GTW")==0) printf("Geek of Technicial Writing\n"); else
    if(strcmp(geekcode[i],"GO")==0) printf("Geek of Other\n"); else
    if(strcmp(geekcode[i],"GU")==0) printf("Geek of Undecided\n"); else
    if(strcmp(geekcode[i],"G!")==0) printf("Geek of No Qualifications\n"); else
    if(strcmp(geekcode[i],"GAT")==0) printf("Geek of All Trades\n"); else

    if(strcmp(geekcode[i],"d++")==0) printf("Conservative dress such as a business suit or worse, a tie.\n"); else
    if(strcmp(geekcode[i],"d+")==0) printf("Good leisure-wear. Slacks, button-shirt, etc."); else
    if(strcmp(geekcode[i],"d")==0) printf("Bland, boring, without life or meaning.\n"); else
    if(strcmp(geekcode[i],"d-")==0) printf("I'm usually in jeans and a t-shirt.\n"); else
    if(strcmp(geekcode[i],"d--")==0) printf("T-shirts with a trendy political message on them.\n"); else
    if(strcmp(geekcode[i],"d---")==0) printf("Punk dresser: torn jeans/shirts,piercings and prominent tattoos.\n"); else
    if(strcmp(geekcode[i],"dx")==0) printf("Cross dresser\n"); else
    if(strcmp(geekcode[i],"d?")==0) printf("I have no idea what I am wearing now, let alone what I wore yesterday.\n"); else
    if(strcmp(geekcode[i],"!d")==0) printf("No clothing. Quite a fashion statement, don't you think?\n"); else
    if(strcmp(geekcode[i],"dpu")==0) printf("Same clothes all the time,forgetting to do laundry between wearings.\n"); else

    if(strcmp(geekcode[i],"s+++")==0) printf("I usually have to duck through doors.\n"); else
    if(strcmp(geekcode[i],"s++")==0) printf("I'm a basketball candidate.\n"); else
    if(strcmp(geekcode[i],"s+")==0) printf("I'm a little taller than most.\n"); else
    if(strcmp(geekcode[i],"s")==0) printf("I'm an average geek.\n"); else
    if(strcmp(geekcode[i],"s-")==0) printf("I look up to most people.\n"); else
    if(strcmp(geekcode[i],"s--")==0) printf("I look up to damn near everybody.\n"); else
    if(strcmp(geekcode[i],"s---")==0) printf("I take a phone book with me when I go out so I can eat dinner.\n"); else
    
    if(strcmp(geekcode[i],":+++")==0) printf("I take up three movie seats.\n"); else
    if(strcmp(geekcode[i],":++")==0) printf("I'm a linebacker candidate.\n"); else
    if(strcmp(geekcode[i],":+")==0) printf("I'm a little rounder than most.\n"); else
    if(strcmp(geekcode[i],":")==0) printf("I'm an average geek.\n"); else
    if(strcmp(geekcode[i],":-")==0) printf("Everybody tells me to gain a few pounds.\n"); else
    if(strcmp(geekcode[i],":--")==0) printf("I tend to have to fight against a strong breeze.\n"); else
    if(strcmp(geekcode[i],":---")==0) printf("My bones are poking through my skin.\n"); else

    if(strcmp(geekcode[i],"a+++")==0) printf("60 and up\n"); else
    if(strcmp(geekcode[i],"a++")==0) printf("50-59\n"); else
    if(strcmp(geekcode[i],"a+")==0) printf("40-49\n"); else
    if(strcmp(geekcode[i],"a")==0) printf("30-39\n"); else
    if(strcmp(geekcode[i],"a-")==0) printf("25-29\n"); else
    if(strcmp(geekcode[i],"a--")==0) printf("20-24\n"); else
    if(strcmp(geekcode[i],"a---")==0) printf("15-19\n"); else
    if(strcmp(geekcode[i],"a----")==0) printf("10-14\n"); else
    if(strcmp(geekcode[i],"a-----")==0) printf("9 and under (Geek in training?).\n"); else
    if(strcmp(geekcode[i],"a?")==0) printf("Immortal\n"); else
    if(strcmp(geekcode[i],"!a")==0) printf("It's none of your business how old I am\n"); else

    if(strcmp(geekcode[i],"C++++")==0) printf("I'll be the 1st to install a new cybernetic interface into my skull\n"); else
    if(strcmp(geekcode[i],"C+++")==0) printf("You mean there is life outside of Internet?\n"); else
    if(strcmp(geekcode[i],"C++")==0) printf("Computers are a large part of my existence.\n"); else
    if(strcmp(geekcode[i],"C+")==0) printf("Computers are fun and I enjoy using them.\n"); else
    if(strcmp(geekcode[i],"C")==0) printf("Computers are a tool, nothing more. I use it when it serves my purpose.\n"); else
    if(strcmp(geekcode[i],"C-")==0) printf("Anything more complicated than my calculator and I'm screwed.\n"); else
    if(strcmp(geekcode[i],"C--")==0) printf("Where's the ON switch?\n"); else
    if(strcmp(geekcode[i],"C---")==0) printf("If you even mention computers, I will rip your head off!\n"); else
     
    if(geekcode[i][0]=='U'){
      if(geekcode[i][1]=='B') printf("BSD\n"); else
      if(geekcode[i][1]=='L') printf("Linux\n"); else
      if(geekcode[i][1]=='U') printf("Ultrix\n"); else
      if(geekcode[i][1]=='A') printf("AIX\n"); else
      if(geekcode[i][1]=='V') printf("System V\n"); else
      if(geekcode[i][1]=='H') printf("HPUX\n"); else
      if(geekcode[i][1]=='I') printf("IRIX\n"); else
      if(geekcode[i][1]=='O') printf("OSF/1 (aka Digital Unix)\n"); else
      if(geekcode[i][1]=='S') printf("Sun OS/Solaris\n"); else
      if(geekcode[i][1]=='C') printf("SCO Unix\n"); else
      if(geekcode[i][1]=='X') printf("NeXT\n"); else
      if(geekcode[i][1]=='*') printf("Some other one not listed\n"); else
      printf("WARNING: %s is a unknown OS geekcode !!!\n",geekcode[i]);

      if(strncmp(geekcode[i]+2,"++++",5)==0) printf("I am the system administrator.\n"); else
      if(strncmp(geekcode[i]+2,"+++",4)==0) printf("I just modified su so that it doesn't prompt me.\n"); else
      if(strncmp(geekcode[i]+2,"++",3)==0) printf("I use all the CPU time and i try to crack /etc/passwd\n"); else
      if(strncmp(geekcode[i]+2,"+",2)==0) printf("I not only have a Unix account, but slam VMS any chance I get.\n"); else
      if(strncmp(geekcode[i]+2,"",1)==0) printf("I have a Unix account to do my stuff in.\n"); else
      if(strncmp(geekcode[i]+2,"-",2)==0) printf("I have a VMS account.\n"); else
      if(strncmp(geekcode[i]+2,"--",3)==0) printf("I've seen Unix and didn't like it. DEC rules!\n"); else
      if(strncmp(geekcode[i]+2,"---",4)==0) printf("Unix geeks are actually nerds in disguise.\n"); else      
      printf("WARNING: %s is a unknown OS geekcode !!!\n",geekcode[i]); 
    } else
    
    if(strcmp(geekcode[i],"P+++++")==0) printf("I am Larry Wall, Tom Christiansen, or Randal Schwartz.\n"); else
    if(strcmp(geekcode[i],"P++++")==0) printf("I don't write Perl, I speak it. I use Perl to achieve U+++ status.\n"); else
    if(strcmp(geekcode[i],"P+++")==0) printf("I use Perl for all programs of less than a thousand lines.\n"); else
    if(strcmp(geekcode[i],"P++")==0) printf("I don't write shell scripts anymore because I write them in Perl.\n"); else
    if(strcmp(geekcode[i],"P+")==0) printf("I know of Perl. I like it. I haven't learned it,but it's on my agenda.\n"); else
    if(strcmp(geekcode[i],"P")==0) printf("I know Perl exists, but that's all.\n"); else
    if(strcmp(geekcode[i],"P-")==0) printf("What's Perl got that awk and sed don't have?\n"); else
    if(strcmp(geekcode[i],"P--")==0) printf("Perl users are sick, twisted programmers who are just showing off.\n"); else
    if(strcmp(geekcode[i],"P---")==0) printf("Perl should be banned.\n"); else
    if(strcmp(geekcode[i],"P!")==0) printf("Our paranoid admin won't let us install Perl!\n"); else

    if(strcmp(geekcode[i],"L+++++")==0) printf("I am Linus, grovel before me.\n"); else
    if(strcmp(geekcode[i],"L++++")==0) printf("I am a Linux wizard. Linux newbies consider me a god.\n"); else
    if(strcmp(geekcode[i],"L+++")==0) printf("I use Linux exclusively on my system.\n"); else
    if(strcmp(geekcode[i],"L++")==0) printf("I use Linux ALMOST exclusively on my system.\n"); else
    if(strcmp(geekcode[i],"L+")==0) printf("I've managed to get Linux installed and even used it a few times.\n"); else
    if(strcmp(geekcode[i],"L")==0) printf("I know what Linux is, but that's about all.\n"); else
    if(strcmp(geekcode[i],"L-")==0) printf("I have no desire to use Linux.\n"); else
    if(strcmp(geekcode[i],"L--")==0) printf("Unix sucks. Because Linux = Unix, Linux sucks. I worship Bill Gates.\n"); else
    if(strcmp(geekcode[i],"L---")==0) printf("I am Bill Gates.\n"); else
    
    if(strcmp(geekcode[i],"E+++")==0) printf("Emacs is my login shell! M-x doctor is my psychologist!\n"); else
    if(strcmp(geekcode[i],"E++")==0) printf("I know and use elisp regularly!\n"); else
    if(strcmp(geekcode[i],"E+")==0) printf("Emacs is great! I read my mail and news with it!\n"); else
    if(strcmp(geekcode[i],"E")==0) printf("Yeah, I know what Emacs is, and use it as my regular editor.\n"); else
    if(strcmp(geekcode[i],"E-")==0) printf("Emacs is too big and bloated for my tastes.\n"); else
    if(strcmp(geekcode[i],"E--")==0) printf("Emacs is just a fancy word processor.\n"); else
    if(strcmp(geekcode[i],"E---")==0) printf("Emacs sucks! vi forever!\n"); else
    if(strcmp(geekcode[i],"E----")==0) printf("Emacs sucks! pico forever!\n"); else
    
    if(strcmp(geekcode[i],"W+++")==0) printf("I am a WebMaster.\n"); else
    if(strcmp(geekcode[i],"W++")==0) printf(" have a homepage. I surf daily. My homepage is advertised in my .sig\n"); else
    if(strcmp(geekcode[i],"W+")==0) printf("I surf the web only when there is something specific I'm looking for.\n"); else
    if(strcmp(geekcode[i],"W")==0) printf("I have a browser and a connection. Occasionally I'll use them.\n"); else
    if(strcmp(geekcode[i],"W-")==0) printf("The web is really a pain.\n"); else
    if(strcmp(geekcode[i],"W--")==0) printf("The web gives the uneducated morons a reason to clutter the Internet.\n"); else
     
    if(strcmp(geekcode[i],"N++++")==0) printf("I am Tim Pierce.\n"); else
    if(strcmp(geekcode[i],"N+++")==0) printf("I read news most of the time.\n"); else
    if(strcmp(geekcode[i],"N++")==0) printf("I read all the news in a select handful of groups.\n"); else
    if(strcmp(geekcode[i],"N+")==0) printf("I read news recreationally when I have some time to kill.\n"); else
    if(strcmp(geekcode[i],"N")==0) printf("Usenet News? Sure, I read that once.\n"); else
    if(strcmp(geekcode[i],"N-")==0) printf("News is a waste of my time and I avoid it completely.\n"); else
    if(strcmp(geekcode[i],"N--")==0) printf("News sucks! 'Nuff said.\n"); else
    if(strcmp(geekcode[i],"N---")==0) printf("I work for Time magazine.\n"); else
    if(strcmp(geekcode[i],"N----")==0) printf("I am a Scientologist.\n"); else
    if(strcmp(geekcode[i],"N*")==0) printf("All I do is read news.\n"); else
    
    if(strcmp(geekcode[i],"o+++++")==0) printf("I am Steve Kinzler.\n"); else
    if(strcmp(geekcode[i],"o++++")==0) printf("I am an active Priest.\n"); else
    if(strcmp(geekcode[i],"o+++")==0) printf("I was a Priest, but have retired.\n"); else
    if(strcmp(geekcode[i],"o++")==0) printf("I have made the Best of Oracularities.\n"); else
    if(strcmp(geekcode[i],"o+")==0) printf("I have been incarnated at least once.\n"); else
    if(strcmp(geekcode[i],"o")==0) printf("I've submitted a question, but it has never been incarnated.\n"); else
    if(strcmp(geekcode[i],"o-")==0) printf("I sent my question to the wrong group and I got flamed.\n"); else
    if(strcmp(geekcode[i],"o--")==0) printf("Who needs answers from a bunch of geeks anyhow?\n"); else
    
    if(strcmp(geekcode[i],"K++++++")==0) printf("I am Kibo.\n"); else
    if(strcmp(geekcode[i],"K+++++")==0) printf("I've had sex with Kibo.\n"); else
    if(strcmp(geekcode[i],"K++++")==0) printf("I've met Kibo.\n"); else
    if(strcmp(geekcode[i],"K+++")==0) printf("I've gotten mail from Kibo.\n"); else
    if(strcmp(geekcode[i],"K++")==0) printf("I've read Kibo.\n"); else
    if(strcmp(geekcode[i],"K+")==0) printf("I like Kibo.\n"); else
    if(strcmp(geekcode[i],"K")==0) printf("I know who Kibo is.\n"); else
    if(strcmp(geekcode[i],"K-")==0) printf("I don't know who Kibo is.\n"); else
    if(strcmp(geekcode[i],"K--")==0) printf("I dislike Kibo.\n"); else
    if(strcmp(geekcode[i],"K---")==0) printf("I am currently hunting Kibo down.\n"); else
    if(strcmp(geekcode[i],"K----")==0) printf("I am Xibo.\n"); else
    
    if(strcmp(geekcode[i],"w+++++")==0) printf("I am Bill Gates.\n"); else
    if(strcmp(geekcode[i],"w++++")==0) printf("I have all windows versions running.\n"); else
    if(strcmp(geekcode[i],"w+++")==0) printf("I am a MS Windows programming god.\n"); else
    if(strcmp(geekcode[i],"w++")==0) printf("I write MS Windows programs in C and think about using C++ someday.\n"); else
    if(strcmp(geekcode[i],"w+")==0) printf("I customized my pc with stupid wallpapers,sounds,...\n"); else
    if(strcmp(geekcode[i],"w")==0) printf("OK, so I use MS Windows, I don't have to like it.\n"); else
    if(strcmp(geekcode[i],"w-")==0) printf("I'm still trying to install MS Windows and it never works right.\n"); else
    if(strcmp(geekcode[i],"w--")==0) printf("MS Windows is a joke OS. Hell, it's not even an OS.\n"); else
    if(strcmp(geekcode[i],"w---")==0) printf("Windows has set back the computing industry by at least 10 years.\n"); else

    if(strcmp(geekcode[i],"O+++")==0) printf("I live, eat and breathe OS/2. All of my hard drives are HPFS.\n"); else
    if(strcmp(geekcode[i],"O++")==0) printf("I use OS/2 for all my computing needs.\n"); else
    if(strcmp(geekcode[i],"O+")==0) printf("I keep a DOS partition on my hard drive 'just in case'.\n"); else
    if(strcmp(geekcode[i],"O")==0) printf("I finally managed to get OS/2 installed but wasn't terribly impressed.\n"); else
    if(strcmp(geekcode[i],"O-")==0) printf("Tried it, didn't like it.\n"); else
    if(strcmp(geekcode[i],"O--")==0) printf("I can't even get the thing to install!\n"); else
    if(strcmp(geekcode[i],"O---")==0) printf("Windows RULES! Long live Bill Gates.\n"); else
    if(strcmp(geekcode[i],"O----")==0) printf("I am Bill Gates of Borg. Os/2 is irrelevant.\n"); else
     
    if(strcmp(geekcode[i],"M++")==0) printf("I am a Mac guru.\n"); else
    if(strcmp(geekcode[i],"M+")==0) printf("A Mac has it's uses and I use it quite often.\n"); else
    if(strcmp(geekcode[i],"M")==0) printf("I use a Mac, but I'm pretty indifferent about it.\n"); else
    if(strcmp(geekcode[i],"M-")==0) printf("Macs suck. All real geeks have a character prompt.\n"); else
    if(strcmp(geekcode[i],"M--")==0) printf("Macs do more than suck. They make users stupid.\n"); else

    if(strcmp(geekcode[i],"V+++")==0) printf("I am a VMS sysadmin. I wield far more power than those Unix admins.\n"); else
    if(strcmp(geekcode[i],"V++")==0) printf("Unix is a passing fad compared to the real power in the universe,VMS\n"); else
    if(strcmp(geekcode[i],"V+")==0) printf("I tend to like VMS better than Unix.\n"); else
    if(strcmp(geekcode[i],"V")==0) printf("I've used VMS.\n"); else
    if(strcmp(geekcode[i],"V-")==0) printf("Unix is much better than VMS for my computing needs.\n"); else
    if(strcmp(geekcode[i],"V--")==0) printf("I would rather smash my head repeatedly into a wall than use VMS.\n"); else
    
    if(strcmp(geekcode[i],"PS+++")==0) printf("Legalize drugs! Abolish the government! 'Fuck the draft!'\n"); else
    if(strcmp(geekcode[i],"PS++")==0) printf("I give to liberal causes. I'm a card carrying member of the ACLU.\n"); else
    if(strcmp(geekcode[i],"PS+")==0) printf("Nobody has the right to tell anybody else what to do.\n"); else
    if(strcmp(geekcode[i],"PS")==0) printf("I really don't have an opinion; nobody's messing with my freedoms.\n"); else
    if(strcmp(geekcode[i],"PS-")==0) printf("Label records! Keep dirty stuff off the TV and the Internet.\n"); else
    if(strcmp(geekcode[i],"PS--")==0) printf("Oppose sex education, abortion rights, gay rights.\n"); else
    if(strcmp(geekcode[i],"PS---")==0) printf("Repent left-wing sinners and change your wicked evil ways.\n"); else

    if(strcmp(geekcode[i],"PE+++")==0) printf("Abolish antitrust legislation.Raise taxes on everyone but the rich.\n"); else
    if(strcmp(geekcode[i],"PE++")==0) printf("Keep the government off the backs of businesses.\n"); else
    if(strcmp(geekcode[i],"PE+")==0) printf("Balance the budget with spending cuts and an amendment.\n"); else
    if(strcmp(geekcode[i],"PE")==0) printf("Distrust both government and business.\n"); else
    if(strcmp(geekcode[i],"PE-")==0) printf("Increase government spending, so we can help more poor people.\n"); else
    if(strcmp(geekcode[i],"PE--")==0) printf("Capitalism is evil! Government should provide the services we need.\n"); else
    
    if(strcmp(geekcode[i],"Y+++")==0) printf("I am T.C. May\n"); else
    if(strcmp(geekcode[i],"Y++")==0) printf("I am on the cypherpunks mailing list and active around Usenet.\n"); else
    if(strcmp(geekcode[i],"Y+")==0) printf("I have an interest and concern in privacy issues,but I'm not active.\n"); else
    if(strcmp(geekcode[i],"Y")==0) printf("I'm pretty indifferent on the whole issue.\n"); else
    if(strcmp(geekcode[i],"Y-")==0) printf("It seems to me that all of these concerns are a little extreme.\n"); else
    if(strcmp(geekcode[i],"Y--")==0) printf("Get a life. The only people that need protection are hiding something\n"); else
    if(strcmp(geekcode[i],"Y---")==0) printf("I am L. Detweiler\n"); else

    if(strcmp(geekcode[i],"PGP++++")==0) printf("I am Philip Zimmerman.\n"); else
    if(strcmp(geekcode[i],"PGP+++")==0) printf("I don't send or answer mail that is not encrypted or signed\n"); else
    if(strcmp(geekcode[i],"PGP++")==0) printf("I have the most recent version and use it regularly.\n"); else
    if(strcmp(geekcode[i],"PGP+")==0) printf("'Finger me for my public key'\n"); else
    if(strcmp(geekcode[i],"PGP")==0) printf("I've used it, but stopped long ago.\n"); else
    if(strcmp(geekcode[i],"PGP-")==0) printf("I don't have anything to hide.\n"); else
    if(strcmp(geekcode[i],"PGP--")==0) printf("The glory of the Internet is in the anarchic, trusting environment\n"); else
    if(strcmp(geekcode[i],"PGP---")==0) printf("If you support encryption on the Internet, you must be a terrorist\n"); else
    if(strcmp(geekcode[i],"PGP----")==0) printf("This is something better: (insert Clipper here).\n"); else
    
    if(strcmp(geekcode[i],"t+++")==0) printf("It's not just a TV show, it's a religion. I even speak Klingon.\n"); else
    if(strcmp(geekcode[i],"t++")==0) printf("It's the best show around. I have all episodes and movies on tape.\n"); else
    if(strcmp(geekcode[i],"t+")==0) printf("It's a damn fine TV show and is one of the only things good on TV now.\n"); else
    if(strcmp(geekcode[i],"t")==0) printf("It's just another TV show.\n"); else
    if(strcmp(geekcode[i],"t-")==0) printf("I have no idea what the big deal with Star Trek is.\n"); else
    if(strcmp(geekcode[i],"t--")==0) printf("I'd only watch this show if my remote control broke.\n"); else
    if(strcmp(geekcode[i],"t---")==0) printf("Star Trek SUCKS! It is the worst crap I have ever seen!\n"); else
    if(strcmp(geekcode[i],"t*")==0) printf("I identify with Barclay, the greatest of the Trek Geeks.\n"); else
    
    if(strcmp(geekcode[i],"5++++")==0) printf("I am J. Michael Straczynski\n"); else
    if(strcmp(geekcode[i],"5+++")==0) printf("I live,breathe and think Bablyon 5.\n"); else
    if(strcmp(geekcode[i],"5++")==0) printf("Finally a show that shows what a real future would look like.\n"); else
    if(strcmp(geekcode[i],"5+")==0) printf("I watch it weekly.\n"); else
    if(strcmp(geekcode[i],"5")==0) printf("I've seen it, I am pretty indifferent to it.\n"); else
    if(strcmp(geekcode[i],"5-")==0) printf("This show is a very cheap Star Trek ripoff.\n"); else
    if(strcmp(geekcode[i],"5--")==0) printf("You call this Sci-Fi? That is such a load of crap!\n"); else
    
    if(strcmp(geekcode[i],"X++++")==0) printf("I am Chris Carter\n"); else
    if(strcmp(geekcode[i],"X+++")==0) printf("This is the BEST show on TV\n"); else
    if(strcmp(geekcode[i],"X++")==0) printf("This is one of the better shows I've seen.\n"); else
    if(strcmp(geekcode[i],"X+")==0) printf("I've converted my family and watch the show when I remember.\n"); else
    if(strcmp(geekcode[i],"X")==0) printf("Ho hum. Just another FOX show.\n"); else
    if(strcmp(geekcode[i],"X-")==0) printf("It's ok if you like paranoia, but let's face it, it's crap\n"); else
    if(strcmp(geekcode[i],"X--")==0) printf("If I wanted to watch this kind of stuff, I'd talk to Oliver Stone.\n"); else

    if(strcmp(geekcode[i],"R+++")==0) printf("I've written and published my own gaming materials.\n"); else
    if(strcmp(geekcode[i],"R++")==0) printf("There is no life outside the roll of the die.\n"); else
    if(strcmp(geekcode[i],"R+")==0) printf("I have a character that I know better then myself\n"); else
    if(strcmp(geekcode[i],"R")==0) printf("Role-Playing? That's just something to do to kill a Saturday afternoon.\n"); else
    if(strcmp(geekcode[i],"R-")==0) printf("Gosh, what an utter waste of time!\n"); else
    if(strcmp(geekcode[i],"R--")==0) printf("Role-Players are instruments of pure evil.\n"); else
    if(strcmp(geekcode[i],"R---")==0) printf("I work for T$R.\n"); else
    if(strcmp(geekcode[i],"R*")==0) printf("I thought life WAS role-playing?\n"); else
    
    if(strcmp(geekcode[i],"tv+++")==0) printf("There's nothing 'out there' that I can't see on tv.\n"); else
    if(strcmp(geekcode[i],"tv++")==0) printf("I just leave the TV on, to make sure I don't miss anything.\n"); else
    if(strcmp(geekcode[i],"tv+")==0) printf("I watch some TV every day.\n"); else
    if(strcmp(geekcode[i],"tv")==0) printf("I watch only the shows that are actually worthwhile\n"); else
    if(strcmp(geekcode[i],"tv-")==0) printf("I watch TV for the news and 'special programming'.\n"); else
    if(strcmp(geekcode[i],"tv--")==0) printf("I turn my TV on during natural disasters.\n"); else
    if(strcmp(geekcode[i],"!tv")==0) printf("I do not own a television.\n"); else

    if(strcmp(geekcode[i],"b++++")==0) printf("I read a book a day. I have library cards in three states.\n"); else
    if(strcmp(geekcode[i],"b+++")==0) printf("I consume a few books a week as part of a staple diet.\n"); else
    if(strcmp(geekcode[i],"b++")==0) printf("I find the time to get through at least one new book a month.\n"); else
    if(strcmp(geekcode[i],"b+")==0) printf("I enjoy reading, but don't get the time very often.\n"); else
    if(strcmp(geekcode[i],"b")==0) printf("I read the newspaper and the occasional book.\n"); else
    if(strcmp(geekcode[i],"b-")==0) printf("I read when there is no other way to get the information.\n"); else
    if(strcmp(geekcode[i],"b--")==0) printf("I did not actually READ the geek code, I just had someone tell me.\n"); else
    
    if(strcmp(geekcode[i],"DI+++++")==0) printf("I am Scott Adams\n"); else
    if(strcmp(geekcode[i],"DI++++")==0) printf("I've received mail from Scott Adams.\n"); else
    if(strcmp(geekcode[i],"DI+++")==0) printf("I am a Dilbert prototype.\n"); else
    if(strcmp(geekcode[i],"DI++")==0) printf("I work with people that act a lot like Dilbert and his boss.\n"); else
    if(strcmp(geekcode[i],"DI+")==0) printf("I read Dilbert daily, often understanding it.\n"); else
    if(strcmp(geekcode[i],"DI")==0) printf("I read Dilbert infrequently, rarely understanding it.\n"); else
    if(strcmp(geekcode[i],"DI-")==0) printf("Is that the comic about the engineers?\n"); else
    if(strcmp(geekcode[i],"DI--")==0) printf("Don't read it, but I think the dog is kinda cute.\n"); else
    if(strcmp(geekcode[i],"DI---")==0) printf("I don't think it's funny to make fun of managers\n"); else

    if(strcmp(geekcode[i],"D++++")==0) printf("I work for iD software.\n"); else
    if(strcmp(geekcode[i],"D+++")==0) printf("I crank out PWAD files daily,I'm a Doom god.\n"); else
    if(strcmp(geekcode[i],"D++")==0) printf("I'm pretty good at the game. I occasionally download PWAD files\n"); else
    if(strcmp(geekcode[i],"D+")==0) printf("It's a fun action game that is a nice diversion on a lazy afternoon.\n"); else
    if(strcmp(geekcode[i],"D")==0) printf("I've played the game and I'm pretty indifferent.\n"); else
    if(strcmp(geekcode[i],"D-")==0) printf("I've played the game and didn't think it was all that impressive\n"); else
    if(strcmp(geekcode[i],"D--")==0) printf("It's an overly-violent game and pure crap.\n"); else
    if(strcmp(geekcode[i],"D---")==0) printf("To hell with Doom, I miss Zork.\n"); else
    if(strcmp(geekcode[i],"D----")==0) printf("I've seen better on my Atari 2600.\n"); else

    if(strcmp(geekcode[i],"G+++++")==0) printf("I am Robert Hayden\n"); else
    if(strcmp(geekcode[i],"G++++")==0) printf("I have made a suggestion for future versions of the code\n"); else
    if(strcmp(geekcode[i],"G+++")==0) printf("I have memorized the entire code, and can decode codes in my head\n"); else
    if(strcmp(geekcode[i],"G++")==0) printf("I know what each letter means, but I have to look up the specifics\n"); else
    if(strcmp(geekcode[i],"G+")==0) printf("I was once G++, but the new versions are getting too complicated.\n"); else
    if(strcmp(geekcode[i],"G")==0) printf("I know what the Geek Code is and even did up this code.\n"); else
    if(strcmp(geekcode[i],"G-")==0) printf("What a tremendous waste of time the Geek code is.\n"); else
    if(strcmp(geekcode[i],"G--")==0) printf("Not only a waste of time, but it shows that Hayden needs a life.\n"); else
    
    if(strcmp(geekcode[i],"e+++++")==0) printf("I am Stephen Hawking\n"); else
    if(strcmp(geekcode[i],"e++++")==0) printf("Managed to get my Ph.D.\n"); else
    if(strcmp(geekcode[i],"e+++")==0) printf("Got a Master degree\n"); else
    if(strcmp(geekcode[i],"e++")==0) printf("Got a Bachelors degree\n"); else
    if(strcmp(geekcode[i],"e+")==0) printf("Got an Associates degree\n"); else
    if(strcmp(geekcode[i],"e")==0) printf("Finished High School\n"); else
    if(strcmp(geekcode[i],"e-")==0) printf("Haven't finished High School\n"); else
    if(strcmp(geekcode[i],"e--")==0) printf("Haven't even entered High School\n"); else
    if(strcmp(geekcode[i],"e*")==0) printf("I learned everything about life from the \"Hitchhiker's Trilogy\"\n"); else
    
    if(strcmp(geekcode[i],"h++")==0) printf("Living in a cave with 47 computers and an Internet feed\n"); else
    if(strcmp(geekcode[i],"h+")==0) printf("Living alone, get out once a week to buy food\n"); else
    if(strcmp(geekcode[i],"h")==0) printf("Friends come over every once in a while to talk about Geek things.\n"); else
    if(strcmp(geekcode[i],"h-")==0) printf("Living with one or more registered Geeks.\n"); else
    if(strcmp(geekcode[i],"h--")==0) printf("Living with one or more people who know nothing about being a Geek\n"); else
    if(strcmp(geekcode[i],"h---")==0) printf("Married/living romantically with someone\n"); else
    if(strcmp(geekcode[i],"h----")==0) printf("Married with children - Al Bundy can sympathize.\n"); else
    if(strcmp(geekcode[i],"h!")==0) printf("I am stuck living with my parents!\n"); else
    if(strcmp(geekcode[i],"h*")==0) printf("I'm not sure where I live anymore. This lab/workplace seems like home.\n"); else

    if(strcmp(geekcode[i],"r+++")==0) printf("Found someone, dated, and am now married.\n"); else
    if(strcmp(geekcode[i],"r++")==0) printf("I've dated my current S.O. for a long time.\n"); else
    if(strcmp(geekcode[i],"r+")==0) printf("I date frequently, bouncing from one relationship to another.\n"); else
    if(strcmp(geekcode[i],"r")==0) printf("I date periodically.\n"); else
    if(strcmp(geekcode[i],"r-")==0) printf("I have difficulty maintaining a relationship.\n"); else
    if(strcmp(geekcode[i],"r--")==0) printf("People just aren't interested in dating me.\n"); else
    if(strcmp(geekcode[i],"r---")==0) printf("I'm beginning to think that I'm a leper, the way people avoid me...\n"); else
    if(strcmp(geekcode[i],"!r")==0) printf("I've never had a relationship.\n"); else
    if(strcmp(geekcode[i],"r*")==0) printf("Signifying membership in the SBC (Sour Bachelor(ette)'s Club)\n"); else
    if(strcmp(geekcode[i],"r%")==0) printf("I was going out with someone, but the asshole dumped me.\n"); else
    
    if(geekcode[i][0]=='x' || (geekcode[i][0]=='!' && geekcode[i][1]=='x')){
      printf("I am a female.\n");
      sexlife(geekcode[i]);
    } else if(geekcode[i][0]=='y' || (geekcode[i][0]=='!' && geekcode[i][1]=='y')){
      printf("I am a male.\n");
      sexlife(geekcode[i]);
    } else if(geekcode[i][0]=='z' || (geekcode[i][0]=='!' && geekcode[i][1]=='z')){
      printf("I don't disclose my gender.\n");
      sexlife(geekcode[i]);
    } else

    printf("WARNING: %s is a unknown geekcode !!!\n",geekcode[i]);
  }
}
